Bug 1760450 (CVE-2019-16230)

Summary: CVE-2019-16230 kernel: null pointer dereference in drivers/gpu/drm/radeon/radeon_display.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acaringi, airlied, bdettelb, bhu, blc, brdeoliv, bskeggs, dhoward, dvlasenk, esammons, fhrbata, hdegoede, hkrzesin, iboverma, ichavero, itamar, jarodwilson, jeremy, jforbes, jglisse, jlelli, john.j5live, jonathan, josef, jross, jschorr, jshortt, jstancek, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, masami256, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, steved, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1760451    
Bug Blocks: 1760452    

Description Guilherme de Almeida Suckevicz 2019-10-10 14:58:39 UTC
drivers/gpu/drm/radeon/radeon_display.c in the Linux kernel 5.2.14 does not check the alloc_workqueue return value, leading to a NULL pointer dereference.

Reference:
https://lkml.org/lkml/2019/9/9/487

Comment 1 Guilherme de Almeida Suckevicz 2019-10-10 14:59:13 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1760451]

Comment 2 Justin M. Forbes 2020-03-19 21:48:28 UTC
This was fixed for Fedora with the 5.4.7 stable kernel updates.